Loading...
Searching...
No Matches
juce::ARAObjectVisitor Class Reference

## Detailed Description

Create a derived implementation of this class and pass it to ARAObject::visit() to retrieve the concrete type of a model object.

Combined with ARAObject::traverse() on the ARADocument object it is possible to discover the entire model graph.

Note that the references passed to the visit member functions are only guaranteed to live for the duration of the function call, so don't store pointers to these objects!

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/utilities/ARA/juce_ARAModelObjects.h

## Public Member Functions

virtual | ~ARAObjectVisitor ()=default
| Destructor.
virtual void | visitDocument (juce::ARADocument &)
| Called when visiting an ARADocument object.
virtual void | visitMusicalContext (juce::ARAMusicalContext &)
| Called when visiting an ARAMusicalContext object.
virtual void | visitRegionSequence (juce::ARARegionSequence &)
| Called when visiting an ARARegionSequence object.
virtual void | visitPlaybackRegion (juce::ARAPlaybackRegion &)
| Called when visiting an ARAPlaybackRegion object.
virtual void | visitAudioModification (juce::ARAAudioModification &)
| Called when visiting an ARAAudioModification object.
virtual void | visitAudioSource (juce::ARAAudioSource &)
| Called when visiting an ARAAudioSource object.

## Constructors and Destructors

## ~ARAObjectVisitor()

virtual juce::ARAObjectVisitor::~ARAObjectVisitor | ( |  | ) |

virtual default

Destructor.

## Member Functions

## visitDocument()

virtual void juce::ARAObjectVisitor::visitDocument | ( | juce::ARADocument & |  | ) |

inline virtual

Called when visiting an ARADocument object.

Referenced by juce::ARADocument::visit().

## visitMusicalContext()

virtual void juce::ARAObjectVisitor::visitMusicalContext | ( | juce::ARAMusicalContext & |  | ) |

inline virtual

Called when visiting an ARAMusicalContext object.

Referenced by juce::ARAMusicalContext::visit().

## visitRegionSequence()

virtual void juce::ARAObjectVisitor::visitRegionSequence | ( | juce::ARARegionSequence & |  | ) |

inline virtual

Called when visiting an ARARegionSequence object.

Referenced by juce::ARARegionSequence::visit().

## visitPlaybackRegion()

virtual void juce::ARAObjectVisitor::visitPlaybackRegion | ( | juce::ARAPlaybackRegion & |  | ) |

inline virtual

Called when visiting an ARAPlaybackRegion object.

Referenced by juce::ARAPlaybackRegion::visit().

## visitAudioModification()

virtual void juce::ARAObjectVisitor::visitAudioModification | ( | juce::ARAAudioModification & |  | ) |

inline virtual

Called when visiting an ARAAudioModification object.

Referenced by juce::ARAAudioModification::visit().

## visitAudioSource()

virtual void juce::ARAObjectVisitor::visitAudioSource | ( | juce::ARAAudioSource & |  | ) |

inline virtual

Called when visiting an ARAAudioSource object.

Referenced by juce::ARAAudioSource::visit().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited